cflow (1:1.6-2) experimental; urgency=medium

  * QA upload.
  * [9f1c85fd] Add Gitlab CI config file
  * [00aab9e1] Add missing build-dependency on texinfo
  * [858cae7b] Move optional data into separate packages
  * [7d78e8ef] Install HTML version of TexInfo manual (Closes: #930424)
  * [1cde1136] Write and install doc-base control file
  * [cce7d2fa] Make sure package builds two times in row

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 15 Jun 2019 20:57:12 +0000

cflow (1:1.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 23 Feb 2019 22:11:56 +0000

cflow (1:1.5-2) unstable; urgency=medium

  * QA upload
  * Remove unneeded lintian override (See: #916095)
  * Update standards version to 4.3.0 (no changes needed)
  * Bump debhelper version to 12
  * Add autopkgtest, reusing upstream tests

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 24 Jan 2019 07:10:22 +0000

cflow (1:1.5-1) unstable; urgency=medium

  * QA upload.
  * Set QA Group as maintainer
  * New upstream release
  * Fix `debian/watch' to match xz compressed releases
  * Verify GPG signatures of upstream releases
  * Remove `patches/nodoc' (Closes: #885147, #906684)
    + Upstream license for documentation no longer includes cover-texts
      condition, and is considered DFSG-free.
  * wrap-and-sort -sta
  * Fix whitespace errors in following files:
    + debian/changelog
    + debian/manpage.xml
  * Update standards version to 4.2.1 (no changes needed)
  * Update debhelper compat to 11
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Update Vcs-* fields in `debian/control'
  * Adjust `debian/copyright' to latest (1.0) revision of dep-5 format
  * Remove useless dependency on dh-autoreconf (implied by compat=11)
  * Use secure protocol in homepage URL
  * Simplify `debian/rules' (eliminates dependency on `autotools-dev')
  * Add lintian overrides about invariant sections of GNU Free Documentation
    License. Upstream uses slightly different wording, that confuses lintian.

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 10 Dec 2018 04:09:30 +0000

cflow (1:1.4+dfsg1-3) unstable; urgency=low

  * Reset debian/compat to level 9.
  * Bump S-V to 3.9.5
    * debian/rules: drop explicit call to dh_installdocs
    * build-depend on autotools-dev and update/restore autoconf-generated
      files (Closes: #744420, #727342).
  * Build with hardening flags.

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 10 May 2014 19:58:16 +0100

cflow (1:1.4+dfsg1-2) unstable; urgency=high

  * Revert debian/compat to 7 and versioned dependency on debhelper to
    7.0.50~, to meet current freeze rules.

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 14 Dec 2012 10:41:13 +0100

cflow (1:1.4+dfsg1-1) unstable; urgency=high

  * Repackage with non DFSG-free texinfo files stripped out of the source and
    binary package (closes: #695715).
      - Add dversionmangle in debian/watch
      - Add debian/patches/nodocs to patch upstream Makefile to not traverse
        into the doc directory
      - debian/rules clean: wipe autogenerated doc/Makefile
      - Add debian/README.source
  * Raise debhelper compatibility level to 9 and update the debhelper version
    dependency, to enable security hardening

 -- Serafeim Zanikolas <sez@debian.org>  Wed, 12 Dec 2012 17:25:47 +0100

cflow (1:1.4-1) unstable; urgency=low

  * New upstream release.
  * Bump S-V to 3.9.2 (no changes needed).

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 27 Nov 2011 18:51:12 +0100

cflow (1:1.3-3) unstable; urgency=low

  * New maintainer (closes: #589959).
  * Bump S-V to 3.9.0 (no changes needed).

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 24 Jul 2010 03:37:03 +0200

cflow (1:1.3-2) unstable; urgency=low

  * Add Vcs-* fields.
  * Bump standards version to 3.8.4 (no changes needed).
  * Update my e-mail address.
  * Switch to source format 3.0 (quilt).
  * Switch from cdbs to dh.
    + As a nice side effect, testsuite is now run at build time.
  * Drop build-dependency on autotools-dev; it's wasn't really needed for
    anything.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 28 Apr 2010 16:43:34 +0200

cflow (1:1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: use the canonical GNU FTP mirror.
  * debian/copyright: update.
  * debian/rules: remove /usr/share/info/dir* after install.

 -- Jakub Wilk <ubanus@users.sf.net>  Mon, 03 Aug 2009 10:18:48 +0200

cflow (1:1.2-3) unstable; urgency=low

  * New maintainer (closes: #531731).
  * Bump standards version; no changes needed.
  * Remove superfluous debian/dirs.
  * Rewrite debian/copyright:
    - cflow 1.2 is GPL-3+;
    - use the DEP-5 format.
  * Add cflow-mode.el for Emacs.
  * Expand the long description.
  * Provide a more comprehensive manual page.

 -- Jakub Wilk <ubanus@users.sf.net>  Sat, 27 Jun 2009 11:56:48 +0200

cflow (1:1.2-2) unstable; urgency=low

  * QA upload, orphaning this package.

 -- Bart Martens <bartm@debian.org>  Wed, 03 Jun 2009 17:48:51 +0200

cflow (1:1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.
  * debian/control, debian/rules, debian/manpages: Switch to cdbs.

 -- Bart Martens <bartm@knars.be>  Mon,  2 Jul 2007 20:03:02 +0200

cflow (1:1.1-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@knars.be>  Sat, 15 Jul 2006 16:37:48 +0200

cflow (1:1.0-2) unstable; urgency=low

  * debian/control, debian/cflow.1, debian/copyright, debian/README.Debian:
    Changed my e-mail address.
  * debian/compat, debian/control, debian/rules: Newer debhelper version.
  * debian/copyright: Updated.
  * debian/watch: Added.
  * debian/control: Standards version.

 -- Bart Martens <bartm@knars.be>  Tue, 13 Jun 2006 18:52:39 +0200

cflow (1:1.0-1) unstable; urgency=low

  * New maintainer.  Closes: #353124.
  * Replaced the upstream part of this Debian package by GNU cflow.
    Closes: #336119, #290086, #352761, #336124, #353192.
  * Acknowledging NMU.  Closes: #235235.  NMU by Sebastian Muszynski
    <do2ksm@linkt.de>, thanks.

 -- Bart Martens <bart.martens@advalvas.be>  Fri, 17 Feb 2006 19:32:02 +0100

cflow (2.0-17.1) unstable; urgency=low

  * NMU.
  * bad permissions for control direcotry fixed by adding
    "chmod -R g-s ." to clean target of debian/rules (closes: #235235).

 -- Sebastian Muszynski <do2ksm@linkt.de>  Fri, 19 Mar 2004 12:06:18 +0100

cflow (2.0-17) unstable; urgency=low

  * Fixed ancient invocation of sort to use the modern sort -k syntax.
    This closes: #204892, reported by Paul Eggert.
  * Standards-Version 3.6.0

 -- Richard Braakman <dark@xs4all.nl>  Tue, 19 Aug 2003 23:35:22 +0300

cflow (2.0-16) unstable; urgency=low

  * Standards-Version 3.5.8
  * Fixed typos in README.
  * Make building with -g the default again.  Also add -O2 unless "noopt"
    is in the build options.
  * Drop /usr/doc/cflow symlink handling.

 -- Richard Braakman <dark@xs4all.nl>  Thu, 12 Dec 2002 04:21:55 +0200

cflow (2.0-15) unstable; urgency=low

  * Corrected definition of YACC in cflow script, running cflow on .y
    files should work now.  This closes: #120322, reported by Joe Crayne.
  * Corrected spelling error in INSTALL file.  This closes: #120321,
    reported by Joe Crayne.
  * Removed emacs variables from changelog.

 -- Richard Braakman <dark@xs4all.nl>  Wed, 21 Nov 2001 22:11:14 +0200

cflow (2.0-14) unstable; urgency=low

  * Change priority from standard to optional.  (It was already
    overridden to optional in the archive.)
  * Add .pc (Pro*C) to the list of files that should be treated like .c.
    This closes: #89587 wishlist.

 -- Richard Braakman <dark@xs4all.nl>  Thu, 15 Mar 2001 21:25:53 +0200

cflow (2.0-13) unstable; urgency=high

  * New maintainer.
  * Acknowledge non-maintainer release 2.0-12.1
    (closes: bug#19786, bug#19280).
  * Install prcc and prcg only in /usr/lib/cflow/, not also in /usr/bin.
  * Undebhelpered (closes: bug#70326 about missing Build-Depends).
  * Moved documentation to /usr/share.
  * Made debian/rules sensitive to DEB_BUILD_OPTIONS environment variable.
  * debian/postinst, prerm: Handle compatibility symlink /usr/doc/cflow.
  * Set Standards-Version to 3.2.1.
  * Only strip executables (closes: bug#85254, bug#62482).

 -- Richard Braakman <dark@xs4all.nl>  Fri,  9 Feb 2001 21:11:35 +0200

cflow (2.0-12.1) frozen unstable; urgency=medium

  * Non maintainer release.
  * Resurrected from orphaned.
  * Converted debian/rules to use debhelper instead of debstd
    (fixing various md5sum errors, and avoiding change in behaviour
    of debstd). (Fixes #19280)
  * Changed cflow to use tempfile, and added dependency on
    debianutils >= 1.6. (Fixes #19786)
  * Moved /usr/doc/examples/cflow to /usr/doc/cflow/examples
    (Fixes #16923)

 -- Anthony Towns <ajt@debian.org>  Thu, 16 Apr 1998 03:08:15 +1000

cflow (2.0-12) unstable; urgency=low

  * Moved internal binaries to /usr/lib/cflow

 -- Ioannis Tambouras <ioannis@debian.org>  Thu,  4 Dec 1997 15:55:04 -0500

cflow (2.0-11) unstable; urgency=low

  * Periodic check on policy compliance and testing of binaries
  * Striped binaries
  * Minor changes to debian/rules
  * Many changes to makefile to enhance readability
  * Moved internal binaries to /usr/lib/cflow
  * symlinked manpages of internal binaries to cflow(1)

 -- Ioannis Tambouras <ioannis@debian.org>  Mon, 10 Nov 1997 23:11:26 -0500

cflow (2.0-10) unstable; urgency=low

  * lib6 update
  * Gziped most docs and placed examples to /usr/doc/examples/cflow
  * Maintainer change.

 -- Ioannis Tambouras <ioannis@debian.org>  Mon, 25 Aug 1997 02:25:28 -0400

cflow (2.0-9) unstable; urgency=low

  * Re-Debianized the package with deb.make for compliance with newer
    standard.
  * Moved internal binaries in /usr/lib.

 -- Dominik Kubla <dominik@debian.org>  Sat, 1 Mar 1997 20:33:52 +0100

cflow (2.0-8) unstable; urgency=low

  * fixed debian/rules script

 -- Dominik Kubla <Dominik.Kubla@Uni-Mainz.DE>  Thu, 31 Oct 1996 17:05:00 +0100

cflow (2.0-7) unstable; urgency=low

  * manual page is now installed in 'gzip -9' format as per
    "Debian Policy Manual", Section 3.2.1

  * Minor bugfixes in debian/rules.  Should now comply with
    "Debian Programmers Manual", section 3.2.1

 -- Dominik Kubla <Dominik.Kubla@Uni-Mainz.DE>  Mon, 30 Sep 1996 17:29:11 +0200

cflow (2.0-6) unstable; urgency=low

  * copyright file is now installed in /usr/doc/cflow/copyright as per
    "Debian Policy Manual", Section 3.2.6

  * Package is now compiled with CFLAGS set to '-O2 -g -Wall' as per
    "Debian Policy Manual", Section 4.1

 -- Dominik Kubla <Dominik.Kubla@Uni-Mainz.DE>  Sat, 28 Sep 1996 20:32:34 +0200

cflow (2.0-5) unstable; urgency=high

  * Included missing 'cflow' script.
  * Converted to new source-format.

 -- Dominik Kubla <Dominik.Kubla@Uni-Mainz.DE>  Thu, 12 Sep 1996 16:00:00 +0200

cflow (2.0-4)

  * Changed description in the control file to follow the rules.
  * Rewrote the rules file to be more general.

 -- Dominik Kubla

cflow (2.0-3)

  * Changed the rules file to follow new naming convention.

 -- Dominik Kubla

cflow (2.0-2)

  * Fixed error in debian.rules, that resulted in an empty package being generated.

 -- Dominik Kubla

cflow (2.0-1)

 * Initial release.

 -- Dominik Kubla
